<?php 
get_header(); 

$signatures_count = count_signatures(get_the_ID());
?>

<?php 
$header_img = get_post_meta(get_the_ID(), 'petition_header', true);

if(empty($header_img)) { ?>
<div class="petition-header">
    <div class="row">
        <div class="column large-8">
            <img src="/wp-content/plugins/petitions/images/icon-petition.png" alt="" width="55">
            <h2 class="petition-header--title petition-title mb0">Abaixo-assinado por Lula Livre</h2>
        </div>
        <?php if(has_excerpt()): ?>
            <div class="column large-4">
                <div class="petition-header--description"><?php the_excerpt() ?></div>
            </div>
        <?php endif ?>
    </div>
</div>
<? }else { ?>
<img src="<?= $header_img ?>" class="petition-header--image" alt="">
<?php } ?>
<div class="row">
    <div class="column large-8 pt60 pr20">
        <h1 class="petition-title mb40"><?php the_title() ?></h1>
        <?php the_content() ?>
    </div>

    <div class="column large-4 petition-widget">
        <div class="petition-widget--counter petition-title">
            <h3><?= $signatures_count ?></h3>
            <p>pessoa<?= $signatures_count != '1' ? 's' : '' ?> já assin<?= $signatures_count != '1' ? 'aram' : 'ou' ?></p>
        </div>

        <h4 class="petition-title mb40"><?= get_post_meta(get_the_ID(), 'petition_title', true )?></h4>

        <div class="petition-widget--form mb60">
            <form action="/" method="POST" id="formPetition" data-petition-id="<?= get_the_ID() ?>">
                <input type="text" name="name" placeholder="Nome completo" required>
                <input type="text" name="email" placeholder="E-mail" required>
                <input type="text" name="whatsapp" placeholder="Whatsapp" required>
                <input type="text" name="cpf" placeholder="CPF" required>

                <div class="row">
                    <div class="column large-8 pl0">
                        <input type="text" name="cidade" placeholder="Cidade" required>
                    </div>
                    <div class="column large-4 pr0">
                        <input type="text" name="estado" placeholder="Estado" maxlength="2" required>
                    </div>
                </div>
                <script src="https://www.google.com/recaptcha/api.js" async defer></script>
                <button class="g-recaptcha hide" data-sitekey="6LeEm6oUAAAAAP-7tz9-3FTvB-awGdDvt5VqXULK" data-size="invisible">Submit</button>

                <button style="width: 100%" class="button primary mt20 block">Assinar Agora</button>
            </form>
        </div>

        <h4 class="petition-title fz26"><?= get_post_meta(get_the_ID(), 'petition_share_title', true ) ?></h4>
        <?php 
        include('petition-share.php');
        
        $petition_pdf = get_post_meta(get_the_ID(), 'petition_pdf_file', true);
        
        if(!empty($petition_pdf)){
            ?>
            <a href="<?= $petition_pdf ?>" class="button primary mt40 block" download>
                <?= get_post_meta(get_the_ID(), 'petition_pdf_title', true) ?>
            </a>
            <?php
        }
        ?>
    </div>

    <div class="column large-12 mt60">
        <?php  
        global $post;
        $post = get_page_by_path('petition-footer', OBJECT, 'layout_parts');
        
        if($post){
            setup_postdata($post);
            the_content();
        }

        wp_reset_postdata();
        ?>
    </div>
</div>

<?php
get_footer();
?>

