export default {
    data : {
        states : window['votes_map'],
        selectedState : []
    },
    init(){
        this.addListeners();
        this.initialRender();
    },
    addListeners(){
        $('.votes-map--map .estado').click((ev) => {
            const $el = $(ev.currentTarget);
            this.render($el.attr('estado'));
        });

        $('.votes-map--br').click(() => {
            this.render('BR');
        });
    },
    initialRender(){
        this.render('BR');

        Object.keys(this.data.states).map(x => {
            if(x != 'BR' && x != ''){
                const st = this.data.states[x][0];

                $(`[estado="${st.sigla}"]`).addClass('apurado');
                console.log(`[estado="${st.sigla}"]`);

                if(st.pt_won){
                    $(`[estado="${st.sigla}"]`).addClass('pt_won');
                }
            }
        });
    },
    render(state){
        if(typeof this.data.states[state] != 'undefined'){
            this.data.selectedState = this.data.states[state][0];
        }

        if(this.data.selectedState.apuracao_votos){
            let html = this.data.selectedState.apuracao_votos.map(x => `
            <li class="${ x._featured == 'on' ? 'featured' : '' }">
            <strong>${x._nome}</strong><span>${x._votes}</span>
            `+( x._votes.indexOf('%') > -1 ? `<div class="percentage--wrapper">
            <div class="percentage" style="width: ${x._votes.replace(',', '.')}"></div>
            </div>` : '')+`
            </li>
            `);

            $('.votes-map--stats .section-title').text(this.data.selectedState.title);
            $('.votes-map--stats-list').html(html);
        }

        if(this.data.selectedState.sigla != 'BR'){
            $('.votes-map--br').show();
        }else{
            $('.votes-map--br').hide();
        }
    }
}