<?php

/*
  Widget Name: Botão
  Description: Adiciona um título de seção
  Author: hacklab/
  Author URI: https://hacklab.com.br/
 */

namespace widgets;

class Button extends \SiteOrigin_Widget {

    function __construct() {
        $fields = [
            'button_label' => [
                'type' => 'text',
                'label' => 'Texto do botão'
            ],
            'button_href' => [
                'type' => 'link',
                'sanitize' => 'url',
                'label' => 'Link do botão'
            ],
            'button_align' => [
                'type' => 'select',
                'label' => 'Alinhamento',
                'default' => 'center',
                'options' => array(
                    'left' => 'Esquerda',
                    'center' => 'Centro',
                    'right' => 'Direita',
                )
            ],
        ];

        parent::__construct('button', 'Botão', [
            'panels_groups' => [WIDGETGROUP_MAIN],
            'description' => 'Adiciona um botão'
                ], [], $fields, plugin_dir_path(__FILE__)
        );
    }

    function get_template_name($instance) {
        return 'template';
    }

    function get_style_name($instance) {
        return 'style';
    }

}

Siteorigin_widget_register('button', __FILE__, 'widgets\Button');
