<?php

/*
  Widget Name: Posts em Destaque
  Description: Exibe Posts em Destaque
  Author: hacklab/
  Author URI: https://hacklab.com.br/
 */

namespace widgets;

class FeaturedPosts extends \SiteOrigin_Widget {

    function __construct() {
        $fields = [
            'background' => [
                'type' => 'select',
                'label' => 'Cor de Fundo',
                'options' => [
                    'dark' => 'Escuro',
                    'light' => 'Claro'
                ]
            ],
            'conteudo' => [
                'type' => 'posts',
                'label' => 'Posts'
            ]
        ];

        parent::__construct('featured-posts', 'Posts em Destaque', [
            'panels_groups' => [WIDGETGROUP_MAIN],
            'description' => 'Exibe Posts em Destaque'
                ], [], $fields, plugin_dir_path(__FILE__)
        );
    }

    function get_template_name($instance) {
        return 'template';
    }

    function get_style_name($instance) {
        return 'style';
    }

    function get_template_variables($instance, $args) {
        $posts_query_args = siteorigin_widget_post_selector_process_query($instance['conteudo']);

        return ['query_args' => $posts_query_args];
    }
}

Siteorigin_widget_register('featured-posts', __FILE__, 'widgets\FeaturedPosts');
