<?php

/*
  Widget Name: Lista de Posts Pequenos
  Description: Lista de posts pequenos com botão "Ver mais"
  Author: hacklab/
  Author URI: https://hacklab.com.br/
 */

namespace widgets;

class PostsList extends \SiteOrigin_Widget {

    function __construct() {
        $fields = [
            'conteudo' => [
                'type' => 'posts',
                'label' => __('Conteúdo', 'lula'),
            ],
            'vermais_href' => [
                'type' => 'link',
                'sanitize' => 'url',
                'label' => __('Link do botão "Ver mais"', 'lula'),
            ],
        ];

        parent::__construct('posts-list', __('Lista de Posts Pequenos', 'lula'), [
            'panels_groups' => [WIDGETGROUP_MAIN, WIDGETGROUP_CARDS],
            'description' => 'Lista de posts pequenos com botão "Ver mais"'
                ], [], $fields, plugin_dir_path(__FILE__)
        );
    }

    function get_template_name($instance) {
        return 'template';
    }

    function get_style_name($instance) {
        return 'style';
    }

    function get_template_variables($instance, $args) {
        $posts_query_args = siteorigin_widget_post_selector_process_query($instance['conteudo']);

        return ['query_args' => $posts_query_args];
    }

}

Siteorigin_widget_register('posts-list', __FILE__, 'widgets\PostsList');
