<?php

/*
  Widget Name: Galeria de Videos
  Description: Galeria de Videos
  Author: hacklab/
  Author URI: https://hacklab.com.br/
 */

namespace widgets;

class VideoGallery extends \SiteOrigin_Widget {

    function __construct() {
        $fields = [
            'videos' => [
                'type' => 'posts',
                'label' => __('Vídeos', 'lula'),
            ]
        ];

        parent::__construct('video-gallery', __('Galeria de Videos', 'lula'), [
            'panels_groups' => [WIDGETGROUP_MAIN, WIDGETGROUP_CARDS],
            'description' => 'Galeria de Videos'
                ], [], $fields, plugin_dir_path(__FILE__)
        );
    }

    function get_template_name($instance) {
        return 'template';
    }

    function get_style_name($instance) {
        return 'style';
    }

    function get_template_variables($instance, $args) {
        $posts_query_args = siteorigin_widget_post_selector_process_query($instance['videos']);

        return ['query_args' => $posts_query_args];
    }
}

Siteorigin_widget_register('video-gallery', __FILE__, 'widgets\VideoGallery');
