<?php
the_post();

get_header();
$linha_fina = get_post_meta(get_the_ID(), 'linha_fina', true) ?: get_the_excerpt();
$no_title = get_post_meta(get_the_ID(), '_page__no_title', true);
$has_socialnetworks = get_post_meta(get_the_ID(), '_page__has_socialnetworks', true);

?>

<div class="post">
	<?php if ($no_title != 'on'): ?>
		<?php if (has_post_thumbnail()): ?>
		<div class="post-header ta-c" style="background-image: url('<?= images\url('i-xlarge', '') ?>')">
			<h2 class="post-title"><?php the_title(); ?></h2>
			<div class="excerpt ta-c"><?= $linha_fina ?></div>
		</div>
		<?php else: ?>
		<div class="post-header-no-img ta-c">
			<h2 class="post-title uppercase"><?php the_title(); ?></h2>
			<div class="excerpt ta-c"><?= $linha_fina ?></div>
		</div>
		<?php endif; ?>
	<?php endif; ?>

	<div class="post-content ac <?= $no_title != 'on' ? 'no-title' : ''; ?>">
		<div class="row">
			<?php the_content();  ?>
		</div>

		<?php if (get_the_tags()): ?>
		<div class="row tags">
			<?php the_tags('<span class="tag"/>', '</span><span class="tag">', '</span>'); ?>
		</div>
		<?php endif; ?>
	</div>

	<?php if($has_socialnetworks == 'on'): ?>
		<div class="post-share <?= $no_title != 'on' && has_post_thumbnail() ? 'white' : '' ?>">
			<?php $permalink = rawurlencode(get_permalink()); ?>
			<div class="post-share-label">Compartilhe:</div>
			<a class="post-share-link" href="https://www.facebook.com/sharer/sharer.php?u=<?= $permalink ?>" target="_blank">
				<i class="fa fa-facebook-official"></i>
			</a>
			<a class="post-share-link" href="mailto:?subject=<?= the_title() ?>&body=<?= $permalink ?>" target="_blank">
				<i class="fa fa-envelope"></i>
			</a>
			<a class="post-share-link" href="https://twitter.com/intent/tweet?text=<?= urlencode(get_the_title().':') . '&url='.$permalink ?>" target="_blank">
				<i class="fa fa-twitter"></i>
			</a>
			<a class="post-share-link show-for-small-only" href="whatsapp://send?text=<?= $permalink ?>" target="_blank">
				<i class="fa fa-whatsapp"></i>
			</a>
		</div>
	<?php endif; ?>

</div>

<?php get_footer(); ?>
