<!-- COMPONENT: card -->
<?php
$image_size = 'card-small';

$img = images\tag((isset($image_size) ? $image_size : 'card-medium'), 'card--image');

$audio = get_post_meta(get_the_ID(), 'audio_file', true);
$video = get_post_meta(get_the_ID(), 'video_file', true);
$video_embed = esc_url(get_post_meta(get_the_ID(), 'video_embed', true));

?>
<div class="card <?= isset($classes) ? $classes : '' ?>">
    <?php if($img): ?>
        <div class="card--image-wrapper">
            <a id="card-image_<?= get_the_ID() ?>" href="<?php the_permalink() ?>" target="<?= isset($external_link) && $external_link ? '_blank' : '_self' ?>" >
                <div style="background-image: url(<?= images\url('full', 'full') ?>)" class="card--image horizontal" alt=""></div>
            </a>
            <?php if($audio != '' && $video == '' && $video_embed == '' ){ ?>
                <div onclick="$('.download_<?= get_the_ID() ?>, #audio_<?= get_the_ID() ?>').show();$('#audio_<?= get_the_ID() ?>')[0].play(); $(this).remove()" class="play"></div>
                <a href="<?= $audio ?>" class="download_<?= get_the_ID() ?> download" target="_blank" style="display: none;" download><i class="fa fa-download"></i> Baixar Áudio</a>
            <?php }?>

            <?php if( ($video != '' || $video_embed != '') && $audio == ''){ ?>
                <div onclick="playVideoCard('<?= get_the_ID() ?>');" id="play_<?= get_the_ID() ?>" class="play"></div>
            <?php }?>
        </div>
        <?php if($video != '' || $video_embed != ''): ?>
        <div class="card-video--wrapper video" id="video_<?= get_the_ID()?>" style="display:none">
                <div class="close" onclick="closeVideoCard('<?= get_the_ID() ?>');">Fechar &nbsp;&times;</div>
                <div class="wp-video">
                    <?php if($video != ''): ?>
                    <video preload="none" controls="controls" style="width: 100%;">
                        <source type="video/mp4" src="<?= $video ?>" />
                    </video>
                    <?php else:
                    echo wp_oembed_get($video_embed);
                    endif; ?>
                </div>

                <?php if($video != ''): ?>
                <a href="<?= $video ?>" class="download_<?= get_the_ID() ?> download" target="_blank" download><i class="fa fa-download"></i> Baixar Vídeo</a>
                <?php endif; ?>
            </div>
        <?php endif; ?>
    <?php endif; ?>

    <div class="card--info">
        <?php
        $catsQuery = wp_get_post_terms(get_the_ID(), 'category', array('parent' => 0, 'taxonomy' => 'category' ) );
        $cats = [];

        foreach($catsQuery as $c){
            $cats[] = '<a href="'.get_category_link($c->ID).'" rel="category tag">'.$c->name .'</a>';
        }
        ?>
        <small class="card--category"><?= implode(', ', $cats) ?></small>
        <a href="<?php the_permalink() ?>" target="<?= isset($external_link) && $external_link ? '_blank' : '_self' ?>" >
            <h4 class="card--title"><?php the_title() ?></h4>
            <?php if((!isset($hide_linha_fina) || !$hide_linha_fina) && ($linha_fina = get_post_meta(get_the_ID(), 'linha_fina', true))): ?>
                <div class="card--excerpt"><?= $linha_fina ?></div>
            <?php endif; ?>
            <?php if(isset($show_excerpt) && $show_excerpt && has_excerpt()): ?>
                <div class="card--excerpt"><?php the_excerpt() ?></div>
            <?php endif; ?>

            <?php if($audio != ''): ?>
            <audio id="audio_<?= get_the_ID()?>" preload="none" controls="controls" class="wp-audio-shortcode" style="width: 100%;display: none">
                <source type="audio/mpeg" src="<?= $audio ?>" />
            </audio>
            <?php endif; ?>

            <div class="card--share">
                <?php $permalink = rawurlencode(get_permalink()); ?>
                <span>Compartilhe</span>
                <a class="post-share-link" href="https://www.facebook.com/sharer/sharer.php?u=<?= $permalink ?>" target="_blank">
                    <i class="fa fa-facebook-official"></i>
                </a>
                <a class="post-share-link" href="mailto:?subject=<?= the_title() ?>&body=<?= $permalink ?>" target="_blank">
                    <i class="fa fa-envelope"></i>
                </a>
                <a class="post-share-link" href="https://twitter.com/intent/tweet?text=<?= urlencode(get_the_title().':') . '&url='.$permalink ?>" target="_blank">
                    <i class="fa fa-twitter"></i>
                </a>
                <a class="post-share-link show-for-small-only" href="whatsapp://send?text=<?= $permalink ?>" target="_blank">
                    <i class="fa fa-whatsapp"></i>
                </a>
            </div>
        </a>
    </div>
</div>